<?php
  function service_buttons_check() {
    return true;
  }
?>
<script>
  function pad2(n) { return n < 10 ? '0' + n : n }

  function downloadiCal(name, location, startDate, endDate) {

    var currentDate = new Date()
    var currentDateString = currentDate.getFullYear().toString() + pad2(currentDate.getMonth() + 1) + pad2( currentDate.getDate()) + 'T' + pad2( currentDate.getHours() ) + pad2( currentDate.getMinutes() ) + pad2( currentDate.getSeconds() )

    var content = `BEGIN:VCALENDAR
                  VERSION:2.0
                  PRODID:-//ZContent.net//Zap Calendar 1.0//EN
                  CALSCALE:GREGORIAN
                  METHOD:PUBLISH
                  BEGIN:VEVENT
                  SUMMARY:Funeral for ${name}
                  UID:c7614cff-3549-4a00-9152-d25cc1fe077d
                  SEQUENCE:0
                  STATUS:CONFIRMED
                  TRANSP:TRANSPARENT
                  DTSTART:${startDate}
                  DTEND:${endDate}
                  DTSTAMP:20150421T141403
                  CATEGORIES:Funeral Service
                  LOCATION:${location}
                  GEO:
                  DESCRIPTION:
                  URL:
                  END:VEVENT
                  END:VCALENDAR
                  `;
    download("funeral.ics", content)
  }

  function download(filename, text) {
    var element = document.createElement('a');
    element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
    element.setAttribute('download', filename);

    element.style.display = 'none';
    document.body.appendChild(element);

    element.click();

    document.body.removeChild(element);
  }


</script>
