
<?php

global $wp;
$current_url = home_url(add_query_arg(array($_GET), $wp->request));
$shareUrl = $current_url;
$fcrmDefaultImageUrl = get_option('fcrm_service_default_image');
?>

<div class="firehawk-crm firehawk-service-details">
  <div class="detail-display">
    <div class="heading">
      <div class="title"><?php echo $client->fullName; ?></div>
      <?php if (isset($client->clientDateOfBirth) && isset($client->clientDateOfDeath)) {
          $date1 = new DateTime($client->clientDateOfBirth);
          $date2 = new DateTime($client->clientDateOfDeath);
          echo '<div class="dates">'.$date1->format('Y') . " - " . $date2->format('Y') . '</div>';
      } elseif (isset($client->clientDateOfDeath)) {
          $date1 = new DateTime($client->clientDateOfDeath);
          echo '<div class="dates"> - ' . $date1->format('Y') . '</div>';
      } ?>
    </div>

    <?php if (isset($client->displayImage)) : ?>
      <div class="top-img"><img src="<?php echo $client->displayImage; ?>"></img></div>
    <?php elseif ($fcrmDefaultImageUrl && strlen($fcrmDefaultImageUrl)) : ?>
      <div class="top-img"><img src="<?php echo $fcrmDefaultImageUrl; ?>"></img></div>
    <?php endif; ?>

    <?php
      $serviceTime = null;
      if (isset($client->serviceDateTime)) {
          echo '<div class="service-date"><strong>';
          $todayDate = new DateTime();
          $serviceTime = new DateTime($client->serviceDateTime);
          echo $serviceTime->format('D j F g:i a');
          echo '</strong></div>';
      }
    ?>

    <div class="venue">
      <?php
      if (isset($client->serviceVenue) && isset($client->serviceVenue->googleLink)) {
        echo '<a href="' . urldecode($client->serviceVenue->googleLink) . '" target="_blank" class="venue">';
        if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
          echo $client->serviceVenue->name . "</br>";
        }
        if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
          echo $client->serviceVenue->address;
        }
        echo '</a>';
      } else {
        echo '<div class="venue">';
        if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
          echo $client->serviceVenue->name . ",";
        }
        if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
          echo $client->serviceVenue->address;
        }
        echo '</div>';
      }
      ?>
    </div>

    <?php include(plugin_dir_path(__FILE__) . 'service-buttons.php');?>
  </div>
</div>

<script>
jQuery('.firehawk-crm.firehawk-service-details .service-buttons-group a.social-share').each(function() {
  var tippyButton = this;
  var menu = jQuery(this).next(".social-menu")[0]
  var activeClipboard = null
  var tip = tippy(tippyButton, {
    content: menu,
    trigger: 'click',
    interactive: true,
    onShown(instance) {
      window.Sharer.init();
      var copyBtn = jQuery(menu).find(".copy-btn")[0];
      if (copyBtn) {
        activeClipboard = new ClipboardJS(copyBtn);
      }
    },
    onHide(instance) {
      if (activeClipboard) {
        activeClipboard.destroy()
        activeClipboard = null
      }
    }
  });

  jQuery(menu).children(".button").click(function() {
    if (tip) {
      setTimeout(function() {
        tip.hide();
      }, 200);
    }
  })
});
</script>
